> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visitorquery.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET a project

> Get the details of a given project



## OpenAPI

````yaml https://visitorquery.com/api/schema get /projects/{projectId}
openapi: 3.0.2
info:
  title: VisitorQuery API
  version: 1.0.0
servers:
  - url: https://visitorquery.com/api/v1
security: []
tags:
  - name: Projects
    description: Projects
  - name: Checks
    description: Retrieve check results
  - name: Plans
    description: Current plan details
paths:
  /projects/{projectId}:
    get:
      tags:
        - Projects
      summary: GET a project
      description: Get the details of a given project
      operationId: getProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      apiKeyPublic:
                        type: string
                      apiKeyPrivate:
                        type: string
                      domain:
                        type: string
                      disabled:
                        type: boolean
                      createdAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - name
                      - apiKeyPublic
                      - apiKeyPrivate
                      - domain
                      - disabled
                      - createdAt
                    nullable: true
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: The developer API key from your account

````